Lost orders

  • Updated

List of lost orders

The “Lost orders” tool is available only to the owners of cashback services and loyalty programs. Accept the User Agreement in the section of the “Lost orders” tool to receive access.

Parameters

HTTP method Access rights URL Parameters Note
GET lost_orders https://api.admitad.com/lost_orders/ List of request parameters Returns the list of lost orders.*
GET lost_orders https://api.admitad.com/lost_orders/{id}/   Returns the lost order.*, where id is the lost order identifier.
  • * Returns the result in the JSON format.

 

List of request parameters

Name Type Allowed values
advcampaign integer List of affiliate programs
website integer The list of publisher’s ad spaces
status string
  • accepted
  • processing
  • rejected
limit integer limit, offset parameters
offset integer limit, offset parameters
start_date date %d.%m.%Y
end_date date %d.%m.%Y
appeal_id string  
appeal_status string
  • resolved
  • processing

Example of use

Example of a request with utility ``curl``:

curl -L -H 'Authorization: Bearer access_token' -X GET https://api.admitad.com/lost_orders/?limit=1

curl -L -H 'Authorization: Bearer access_token' -X GET https://api.admitad.com/lost_orders/3/
Example of the response from the API server in the JSON format:
{

    "results": [

        {

            "status": "processing",

            "website": {

                "id": 1,

                "name": "TestWebsite"

            },

            "order_id": "574T32EDD1H1",

            "advcampaign": {

                "id": 1,

                "name": "TestAdvCampaign"

            },

            "currency": "USD",

            "order_price": 230,

            "order_date": "2016-01-01T00:00:00",

            "date_created": "2016-06-02T19:31:36",

            "id": 3,

            "comment": "",

            "appeal_id": "",

            "appeal_status": "processing",

            "estimated_reward": 7

        }

    ],

    "_meta": {

        "count": 3,

        "limit": 1,

        "offset": 0

    }

}

 

Description of API server response fields

Name Description
id Identifier
website Ad space
campaign Affiliate program
status Lost order status
order_id Order number
order_date Order date
order_price Order amount
comment Comment
date_created Date of creation
currency Currency
reject_reason Reject reason
reject_comment Comment
reward Reward
appeal_id Appeal ID
appeal_status Appeal status
estimated_reward Estimated reward

 

Creation of lost order

The “Lost orders” tool is available only to the owners of cashback services and loyalty programs. Accept the User Agreement in the section of the “Lost orders” tool to receive access.

 

Parameters

HTTP method Access rights URL Parameters Note
POST manage_lost_orders https://api.admitad.com/lost_orders/create/ List of request parameters Returns the created order.*
  • * Returns the result in the JSON format.

 

List of request parameters

Name Type Required Settings restrictions Allowed values
advcampaign integer   List of affiliate programs
website integer   The list of publisher’s ad spaces
order_id string Max length 100 characters  
order_date date   %d.%m.%Y
order_price float    
comment string 512 characters maximum  
appeal_id string   Max length 100 characters  
estimated_reward float    
receipt file JPEG/JPG/PNG/PDF  

Example of use

Example of a request with utility ``curl``:

curl -H 'Authorization: Bearer access_token' -X POST https://api.admitad.com/lost_orders/create/ \

     -F 'website=1' \

     -F 'advcampaign=1' \

     -F 'order_id=YH123D' \

     -F 'order_date=11.11.2016' \

     -F 'order_price=1200' \

     -F 'appeal_id=788aq' \

     -F 'estimated_reward=7' \

     -F 'receipt=@/example/DM89YVjMZY.jpg'
Example of the response from the API server in the JSON format:
{

    "status": "processing",

    "website": {

        "id": 1,

        "name": "TestWebsite"

    },

    "currency": "USD",

    "order_id": "YH123D",

    "advcampaign": {

        "id": 1,

        "name": "TestAdvCampaign"

    },

    "order_price": 1200,

    "order_date": "2016-11-11T00:00:00",

    "date_created": "2016-06-02T19:31:36",

    "id": 6,

    "comment": "",

    "appeal_id": "788aq",

    "appeal_status": "processing",

    "estimated_reward": 7

}

 

Description of API server response fields

Name Description
id Identifier
website Ad space
campaign Affiliate program
status Lost order status
order_id Order number
order_date Order date
order_price Order amount
currency Currency
comment Comment
date_created Date of creation
appeal_id Appeal ID
appeal_status Appeal status
estimated_reward Estimated reward

 

List of order statuses

The “Lost orders” tool is available only to the owners of cashback services and loyalty programs. Accept the User Agreement in the section of the “Lost orders” tool to receive access.

 

Parameters

HTTP method Access rights URL Parameters Note
GET lost_orders https://api.admitad.com/lost_orders/payments_info/ List of request parameters Returns information about statuses of orders
  • * Returns the result in the JSON format.

 

List of request parameters

Name Type Allowed values
advcampaign integer List of affiliate programs
order_id integer One or several order IDs. Maximum 20 IDs

 

Example of use

Example of a request with utility ``curl``:

curl -L -H 'Authorization: Bearer access_token' -X GET https://api.admitad.com/lost_orders/payments_info/?advcampaign=8&order_id=test&order_id=q1234&order_id=1002247
Example of the response from the API server in the JSON format:
{

    "order_info": [

        {

            "order_id": "test",

            "status": "does_not_exist"

        },

        {

            "order_id": "q1234",

            "payment_id": 268,

            "payment_status": "approved",

            "status": "owner"

        },

        {

            "order_id": "1002247",

            "status": "already_counted"

        }

    ]

}

 

Description of API server response fields

Name Description
status Information about order search status. Can take values (owner - if the program has this order, already_counted - if the order exists, but it belongs to another user, does_not_exist - if the program does not have this order)
payment_status Order status
payment_id Order ID

 

List of appeal claims

Accept the User Agreement in the section of the “Lost orders” tool to receive access.

Parameters

HTTP method Access rights URL Parameters Note
GET lost_orders https://api.admitad.com/appeals/ List of request parameters Returns the list of appeal claims.*
GET lost_orders https://api.admitad.com/appeals/{id}/   Returns the appeal claim, where id is the appeal claim identifier.*
  • * Returns the result in the JSON format.

 

List of request parameters

Name Type Allowed values
advcampaign integer List of affiliate programs
website integer The list of publisher’s ad spaces
status string
  • accepted
  • processing
  • rejected
limit integer limit, offset parameters
offset integer limit, offset parameters
start_date date %d.%m.%Y
end_date date %d.%m.%Y
appeal_id string  

 

Example of use

Example of a request with utility ``curl``:

curl -L -H 'Authorization: Bearer access_token' -X GET https://api.admitad.com/appeals/?limit=1

curl -L -H 'Authorization: Bearer access_token' -X GET https://api.admitad.com/appeals/3/
Example of the response from the API server in the JSON format:
{

    "results": [

        {

            "status": "processing",

            "website": {

                "id": 1,

                "name": "TestWebsite"

            },

            "order_id": "574T32EDD1H1",

            "advcampaign": {

                "id": 1,

                "name": "TestAdvCampaign"

            },

            "currency": "USD",

            "order_price": "230.00",

            "order_date": "2016-01-01T00:00:00",

            "date_created": "2016-06-02T19:31:36",

            "id": 3,

            "comment": "example",

            "appeal_id": "",

            "appeal_status": "processing",

            "estimated_reward": "20.00"

        }

    ],

    "_meta": {

        "count": 3,

        "limit": 1,

        "offset": 0

    }

}

 

Description of API server response fields

Name Description
id Identifier
website Ad space
campaign Affiliate program
status Lost order status
order_id Order number
order_date Order date
order_price Order amount
comment Comment
date_created Date of creation
currency Currency
reward Reward
appeal_id Appeal ID
estimated_reward Estimated reward

 

Creating an appeal claim

Accept the User Agreement in the section of the “Lost orders” tool to receive access.

 

Parameters

HTTP method Access rights URL Parameters Note
POST lost_orders https://api.admitad.com/appeals/create/ List of request parameters Returns a created appeal claim.*
  • * Returns the result in the JSON format.

 

List of request parameters

Name Type Required Settings restrictions Allowed values
advcampaign integer   List of affiliate programs
order_id string Max length 100 characters  
comment string 512 characters maximum  
appeal_id string   Max length 100 characters  
receipt file JPEG/JPG/PNG/PDF  

 

Example of use

Example of a request with utility ``curl``:

curl -H 'Authorization: Bearer access_token Accept: application/json' -X POST https://api.admitad.com/appeals/create/ \

     -F 'advcampaign=1' \

     -F 'order_id=YH123D' \

     -F 'comment=example' \

     -F 'appeal_id=788aq' \

     -F 'receipt=@/example/receipt.png'
Example of the response from the API server in the JSON format:
{

    "status": "processing",

    "website": {

        "id": 1,

        "name": "TestWebsite"

    },

    "currency": "USD",

    "order_id": "YH123D",

    "advcampaign": {

        "id": 1,

        "name": "TestAdvCampaign"

    },

    "order_price": "1200.00",

    "order_date": "2016-11-11T00:00:00",

    "date_created": "2016-06-02T19:31:36",

    "id": 6,

    "comment": "example",

    "appeal_id": "788aq",

    "appeal_status": "processing",

    "estimated_reward": "1000",

}

 

Description of API server response fields

Name Description
id Identifier
website Ad space
advcampaign Affiliate program
status Lost order status
order_id Order number
order_date Order date
order_price Order amount
currency Currency
comment Comment
date_created Date of creation
appeal_id Appeal ID
estimated_reward Estimated reward

Was this article helpful?

0 out of 0 found this helpful

Have more questions? Submit a request